bl_info = {
    "name": "gp interpolate",
    "author": "Christophe Seux, Samuel Bernou",
    "version": (0, 3, 0),
    "blender": (3, 6, 0),
    "location": "Sidebar > Gpencil Tab > Interpolate",
    "description": "Interpolate Grease pencil strokes over 3D",
    "warning": "Alpha",
    "wiki_url": "https://git.autourdeminuit.com/autour_de_minuit/gp_interpolate",
    "tracker_url": "https://git.autourdeminuit.com/autour_de_minuit/gp_interpolate/issues",
    "category": "Animation"}


import sys
from pathlib import Path
import importlib

# Ensure the name of the module in python import
module_name = Path(__file__).parent.name
sys.modules.update({'gp_interpolate': importlib.import_module(module_name)})


from gp_interpolate import interpolate_strokes, parent_layer, ui

modules = (
    interpolate_strokes,
    parent_layer,
    ui,
)

import bpy

def register():
    print('Register gp_interpolate')
    for mod in modules:
        mod.register()

def unregister():
    for mod in reversed(modules):
        mod.unregister()
