from gp_interpolate.interpolate_strokes import (operators,
                                                properties,
                                                interpolate_simple)

modules = (
    properties,
    operators,
    interpolate_simple,
)

if "bpy" in locals():
    import importlib

    for mod in modules:
        importlib.reload(mod)

import bpy

def register():
    for mod in modules:
        mod.register()

def unregister():
    for mod in reversed(modules):
        mod.unregister()
